﻿using System.Windows;

using DevExpress.Xpf.Grid;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.gridControl.ItemsSource = new object[] { "A", "B", "C", "D", "E", "F", "G", "H" };
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 그리드 컨트롤 커스텀 행 필터 처리하기 - gridControl_CustomRowFilter(sender, e)

        /// <summary>
        /// 그리드 컨트롤 커스텀 행 필터 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void gridControl_CustomRowFilter(object sender, RowFilterEventArgs e)
        {
            if(this.hideOddRowCheckBox.IsChecked.Value && e.ListSourceRowIndex % 2 == 1)
            {
                e.Visible = false;
            }

            if(this.hideEvenRowCheckBox.IsChecked.Value && e.ListSourceRowIndex % 2 == 0)
            {
                e.Visible = false;
            }

            e.Handled = !e.Visible ? true : false;
        }

        #endregion
        #region 체크 박스 체크시 처리하기 - checkBox_Checked(sender, e)

        /// <summary>
        /// 체크 박스 체크시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void checkBox_Checked(object sender, RoutedEventArgs e)
        {
            this.gridControl.RefreshData();
        }

        #endregion
    }
}